﻿using System;
using System.Net;
using System.Text.Json.Serialization;

namespace GMCabsDriverAssistant.Models
{
    public class LoginResponseDto
    {
        #region Properties

        public Guid Token { get; set; }
        public string DriverName { get; set; }
        public string DriverMobileNumber { get; set; }
        public Guid UserCode { get; set; }
        public bool CanAcceptBookings { get; set; }
        public bool CanUpdateLicence { get; set; }
        public bool CanScanVouchers { get; set; }
        public string InstalledTaxiNumber { get; set; } = null;
        public bool CanViewCoupons { get; set; }
        public bool CanViewSettings { get; set; }
        public bool CanViewHome { get; set; }
        public bool CanViewJobHistory { get; set; }
        public bool IsTabletSession { get; set; }
        public string LoginResponseMessage { get; set; }
        public int UserId { get; set; }

        #endregion

        #region Constants
        public const string DRIVER_NAME = nameof(DriverName);

        public const string DRIVER_MOBILE_NUMBER = nameof(DriverMobileNumber);

        public const string USER_CODE = nameof(UserCode);
        #endregion

    }
}
